Skip to main content
PUT
Update customer

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Path Parameters

id
string<uuid>
required

Body

application/json
first_name
string | null
Maximum string length: 100
last_name
string | null
Maximum string length: 100
email
string<email>
Maximum string length: 255
phone
string | null
Maximum string length: 50
locale
string | null
Maximum string length: 10
country
string | null
Maximum string length: 255
company_id
string<uuid> | null

Response

Customer updated

id
string<uuid>
first_name
string | null
last_name
string | null
email
string<email>
phone
string | null
locale
string | null
country
string | null
company_id
string<uuid> | null
avatar_url
string<uri> | null
first_seen_at
string<date-time> | null
last_seen_at
string<date-time> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null